- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# AttributeTextureFilename Class Reference

Search for all occurrences

## Detailed Description

Represents a special file name attribute that accepts texture files as value. Provides a create new and a browse interface.

Examples:

  FixedFunctionMaterial/FixedFunctionMaterial.h.

Definition at line 1053 of file node.h.

`#include <node.h>`

Inheritance diagram for AttributeTextureFilename:
[legend]

List of all members.

## Public Member Functions
| AttributeTextureFilename (Node *pOwner, const QString &sID, bool bMustExists=true)
| OPERATORS_NOEXCMARK (QString)
AttributeWidget * | CreateEditorWidget (QWidget *pParent, int iWidth)
| This function creates and returns the address of a QWidget object.

## Constructor & Destructor Documentation

AttributeTextureFilename | ( | Node * | pOwner,
|  | const QString & | sID,
|  | bool | bMustExists = `true`
| ) |  |

## Member Function Documentation

OPERATORS_NOEXCMARK | ( | QString |  | ) |

Search for all occurrences

Reimplemented from AttributeFilename.

AttributeWidget* CreateEditorWidget | ( | QWidget * | pParent,
|  | int | iWidth
| ) |  | `[virtual]`

Search for all occurrences

This function creates and returns the address of a QWidget object.

The object then can be used in the interface to give the user control over the attribute value. Mudbox calls this function for every attribute in a node when it displays a properties dialog box for it. You must override it if you implement a new kind of attribute and want a special interface.

Reimplemented from AttributeFilename.

The documentation for this class was generated from the following file:

- Mudbox/node.h

AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename
AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename AttributeTextureFilename